> ## Documentation Index
> Fetch the complete documentation index at: https://docs.layerfi.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Bank Transactions

> Bulk import bank transactions.

This endpoint allows transactions to be imported for any number of businesses simultaneously. Transactions will be matched to businesses using the transactions' `bank_account_id`.

### Body

\*\* \*\* `array of BankTransaction objects` *required*

An array of BankTransaction objects to import.

**BankTransaction properties**

**external\_id** `string` *required*

Unique ID of the bank transaction in your system for linking purposes. **Idempotency key.**

**bank\_account\_id** `string` *required*

ID of the Bank Account this transaction occurred within.

**direction** `enum` *required*

Direction of the transaction.
Values can be: `CREDIT`, `DEBIT`

**amount** `integer` *required*

Amount of the transaction in cents.

**balance** `integer` *required*

Balance post-transaction settlement in cents.

**date** `ISO8601 timestamp` *required*

Date the transaction occurred.

**processed\_counterparty\_name** `string`

Name of the merchant or counterparty associated with the transaction

**transaction\_type** `string` *required*

The type of bank account transaction (debit card, check, wire, etc). Can be any string.

**merchant\_type** `string`

MCC of counterparty merchant for debit card transactions.

**merchant\_location** `string`

Location of counterparty merchant.

**card\_last\_4\_digits** `string`

Last 4 digits of the debit card used for the transaction.

**description** `string`

Description of the transaction.

### Response

Returns the imported [Bank Transaction Objects](https://docs.layerfi.com/api-reference/bank-transaction/bank-transaction.md)

```bash Request theme={null}
curl -X POST https://sandbox.layerfi.com/v1/internal-bank-transactions \
  -H "Authorization: Bearer <access_token>" \
  -H "Content-Type: application/json" \
  -d '[{
          "external_id": "31415926535",
          "bank_account_id": "111111111",
          "direction": "Debit",
          "transaction_type": "Purchase",
          "amount": 250000,
          "balance": 12345,
          "created_at": "2023-06-01T12:00:00Z",
          "processed_counterparty_name": "WeWork"
      }]'
```

```json Response theme={null}
{
    "data": [
        {
            "type": "Flat_Bank_Transaction",
            "id": "718ca8b7-5c5d-430c-9132-11557c5f7ccc",
            "bank_transaction_id": "31415926535",
            "created_at": "2023-06-01T12:00:00Z",
            "transaction_type": "Purchase",
            "bank_account_id": "1111111111",
            "business_id": "f9baa8fd-9413-4bcf-810b-6d32604de649",
            "direction": "DEBIT",
            "balance": 12345,
            "amount": 250000,
            "processed_counterparty_name": "WeWork",
            "categorizationStatus": "PENDING"
        }
    ],
    "meta": {}
}
```


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.